<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('employees', function (Blueprint $table) {
            $table->boolean('is_programmer')->default(false)->after('grace_minutes');
            $table->unsignedTinyInteger('programmer_work_hours')->default(0)->after('is_programmer');
        });
    }

    public function down(): void
    {
        Schema::table('employees', function (Blueprint $table) {
            $table->dropColumn([
                'is_programmer',
                'programmer_work_hours',
            ]);
        });
    }
};

